<?php

namespace App\Classes\Modules\Segments\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class ConstantObject implements DataTransferObject
{

    /** @var string */
    private $reference;

    /** @var array */
    private $value;

    /**
     * ConstantObject constructor.
     * @param string $name
     * @param string $reference
     * @param array $value
     */
    public function __construct(string $reference, array $value)
    {
        $this->reference = $reference;
        $this->value = $value;
    }

    /**
     * @return string
     */
    public function getReference(): string
    {
        return $this->reference;
    }

    /**
     * @return array
     */
    public function getValue(): array
    {
        return $this->value;
    }


}